Maps Attribution: link to terms of use on dynamic maps
Closed, ResolvedPublic

Description

We need to be sure that all dynamic maps have attribution for Wikimedia and OpenStreetMap (OSM). We currently have the OSM portion covered, but need to add in a link to the landing page (terms of use) for Wikimedia.

The link will be attached to the "Wikimedia maps" words in the attribution line for all dynamic maps:

The link will go to the landing page at: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use

debt created this task.Nov 29 2016, 5:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 5:37 PM
debt moved this task from Backlog to Prioritized on the Maps-Sprint board.Nov 30 2016, 7:29 PM
debt removed a project: Maps.Dec 12 2016, 5:03 PM
debt updated the task description. (Show Details)
debt updated the task description. (Show Details)Dec 12 2016, 5:13 PM

Change 327015 had a related patch set uploaded (by JGirault):
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327015

Change 327274 had a related patch set uploaded (by Yurik):
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327274

Change 327275 had a related patch set uploaded (by Yurik):
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327275

Change 327015 merged by jenkins-bot:
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327015

Change 327275 abandoned by Yurik:
Add Terms of Use link on static and dynamic maps

Reason:
only v6 is needed by now

https://gerrit.wikimedia.org/r/327275

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Dec 15 2016, 12:06 AM

Change 327274 merged by jenkins-bot:
Add Terms of Use link on static and dynamic maps

https://gerrit.wikimedia.org/r/327274

debt moved this task from Done to Needs review on the Maps-Sprint board.Dec 15 2016, 4:36 PM

Moving this back to needs review - as it was reverted last night during SWAT: https://gerrit.wikimedia.org/r/#/c/327274/

Yurik moved this task from Needs review to Done on the Maps-Sprint board.Dec 16 2016, 2:32 AM

Same as the other patch, it's still riding the next train, no action is required by anyone.

debt closed this task as Resolved.Jan 6 2017, 12:46 AM
debt claimed this task.

FYI, the maps attribution link went live this week (via the train), thus this ticket and T151906 are now complete.